# Makefile for the web2c library.

ac_include ../make/common.make
ac_include ../make/library.make
ac_include kpathsea.make

library = lib

# We don't make `texmfmp.o', since TeX, Metafont, and MetaPost need to
# use different routine names, hence they need different .o files. Maybe
# we should change this via #define's someday ...
objects = alloca.o basechsuffix.o chartostring.o coredump.o \
  eofeoln.o fprintreal.o inputint.o input2int.o main.o \
  openclose.o printversion.o uexit.o usage.o version.o zround.o

default all: $(library).a
$(library).a: $(objects)
	rm -f $@
	$(AR) $(ARFLAGS) $@ $(objects)
	$(RANLIB) $@

# Do not use CPPFLAGS for this, because including config.h might
# result in a conflicting decl of xmalloc. How annoying.
alloca.o: alloca.c 
	$(CC) $(CFLAGS) -c $(srcdir)/alloca.c

Makefile: Makefile.in ../config.status
	cd .. && $(SHELL) config.status

ac_include ../make/clean.make
ac_include ../make/rdepend.make
alloca.o: alloca.c ../config.h ../../kpathsea/config.h ../c-auto.h \
 ../../kpathsea/c-std.h \
 ../../kpathsea/c-unistd.h ../../kpathsea/systypes.h \
 ../../kpathsea/c-memstr.h \
 ../../kpathsea/c-errno.h \
 ../../kpathsea/c-minmax.h \
 ../../kpathsea/c-limits.h \
 ../../kpathsea/c-proto.h ../../kpathsea/debug.h \
 ../../kpathsea/types.h ../../kpathsea/lib.h ../../kpathsea/progname.h \
 ../../kpathsea/c-fopen.h
basechsuffix.o: basechsuffix.c ../config.h ../../kpathsea/config.h \
 ../c-auto.h ../../kpathsea/c-std.h \
 ../../kpathsea/c-unistd.h ../../kpathsea/systypes.h \
 ../../kpathsea/c-memstr.h \
 ../../kpathsea/c-errno.h \
 ../../kpathsea/c-minmax.h \
 ../../kpathsea/c-limits.h \
 ../../kpathsea/c-proto.h ../../kpathsea/debug.h \
 ../../kpathsea/types.h ../../kpathsea/lib.h ../../kpathsea/progname.h \
 ../../kpathsea/c-fopen.h
chartostring.o: chartostring.c ../config.h ../../kpathsea/config.h \
 ../c-auto.h ../../kpathsea/c-std.h \
 ../../kpathsea/c-unistd.h ../../kpathsea/systypes.h \
 ../../kpathsea/c-memstr.h \
 ../../kpathsea/c-errno.h \
 ../../kpathsea/c-minmax.h \
 ../../kpathsea/c-limits.h \
 ../../kpathsea/c-proto.h ../../kpathsea/debug.h \
 ../../kpathsea/types.h ../../kpathsea/lib.h ../../kpathsea/progname.h \
 ../../kpathsea/c-fopen.h
coredump.o: coredump.c ../config.h ../../kpathsea/config.h ../c-auto.h \
 ../../kpathsea/c-std.h \
 ../../kpathsea/c-unistd.h ../../kpathsea/systypes.h \
 ../../kpathsea/c-memstr.h \
 ../../kpathsea/c-errno.h \
 ../../kpathsea/c-minmax.h \
 ../../kpathsea/c-limits.h \
 ../../kpathsea/c-proto.h ../../kpathsea/debug.h \
 ../../kpathsea/types.h ../../kpathsea/lib.h ../../kpathsea/progname.h \
 ../../kpathsea/c-fopen.h
eofeoln.o: eofeoln.c ../config.h ../../kpathsea/config.h ../c-auto.h \
 ../../kpathsea/c-std.h \
 ../../kpathsea/c-unistd.h ../../kpathsea/systypes.h \
 ../../kpathsea/c-memstr.h \
 ../../kpathsea/c-errno.h \
 ../../kpathsea/c-minmax.h \
 ../../kpathsea/c-limits.h \
 ../../kpathsea/c-proto.h ../../kpathsea/debug.h \
 ../../kpathsea/types.h ../../kpathsea/lib.h ../../kpathsea/progname.h \
 ../../kpathsea/c-fopen.h
fprintreal.o: fprintreal.c ../config.h ../../kpathsea/config.h \
 ../c-auto.h ../../kpathsea/c-std.h \
 ../../kpathsea/c-unistd.h ../../kpathsea/systypes.h \
 ../../kpathsea/c-memstr.h \
 ../../kpathsea/c-errno.h \
 ../../kpathsea/c-minmax.h \
 ../../kpathsea/c-limits.h \
 ../../kpathsea/c-proto.h ../../kpathsea/debug.h \
 ../../kpathsea/types.h ../../kpathsea/lib.h ../../kpathsea/progname.h \
 ../../kpathsea/c-fopen.h
input2int.o: input2int.c ../config.h ../../kpathsea/config.h \
 ../c-auto.h ../../kpathsea/c-std.h \
 ../../kpathsea/c-unistd.h ../../kpathsea/systypes.h \
 ../../kpathsea/c-memstr.h \
 ../../kpathsea/c-errno.h \
 ../../kpathsea/c-minmax.h \
 ../../kpathsea/c-limits.h \
 ../../kpathsea/c-proto.h ../../kpathsea/debug.h \
 ../../kpathsea/types.h ../../kpathsea/lib.h ../../kpathsea/progname.h \
 ../../kpathsea/c-fopen.h
inputint.o: inputint.c ../config.h ../../kpathsea/config.h ../c-auto.h \
 ../../kpathsea/c-std.h \
 ../../kpathsea/c-unistd.h ../../kpathsea/systypes.h \
 ../../kpathsea/c-memstr.h \
 ../../kpathsea/c-errno.h \
 ../../kpathsea/c-minmax.h \
 ../../kpathsea/c-limits.h \
 ../../kpathsea/c-proto.h ../../kpathsea/debug.h \
 ../../kpathsea/types.h ../../kpathsea/lib.h ../../kpathsea/progname.h \
 ../../kpathsea/c-fopen.h
main.o: main.c ../config.h ../../kpathsea/config.h ../c-auto.h \
 ../../kpathsea/c-std.h \
 ../../kpathsea/c-unistd.h ../../kpathsea/systypes.h \
 ../../kpathsea/c-memstr.h \
 ../../kpathsea/c-errno.h \
 ../../kpathsea/c-minmax.h \
 ../../kpathsea/c-limits.h \
 ../../kpathsea/c-proto.h ../../kpathsea/debug.h \
 ../../kpathsea/types.h ../../kpathsea/lib.h ../../kpathsea/progname.h \
 ../../kpathsea/c-fopen.h
openclose.o: openclose.c ../config.h ../../kpathsea/config.h \
 ../c-auto.h ../../kpathsea/c-std.h \
 ../../kpathsea/c-unistd.h ../../kpathsea/systypes.h \
 ../../kpathsea/c-memstr.h \
 ../../kpathsea/c-errno.h \
 ../../kpathsea/c-minmax.h \
 ../../kpathsea/c-limits.h \
 ../../kpathsea/c-proto.h ../../kpathsea/debug.h \
 ../../kpathsea/types.h ../../kpathsea/lib.h ../../kpathsea/progname.h \
 ../../kpathsea/c-fopen.h ../../kpathsea/c-pathch.h \
 ../../kpathsea/c-ctype.h \
 ../../kpathsea/tex-file.h ../../kpathsea/variable.h
printversion.o: printversion.c ../config.h ../../kpathsea/config.h \
 ../c-auto.h ../../kpathsea/c-std.h \
 ../../kpathsea/c-unistd.h ../../kpathsea/systypes.h \
 ../../kpathsea/c-memstr.h \
 ../../kpathsea/c-errno.h \
 ../../kpathsea/c-minmax.h \
 ../../kpathsea/c-limits.h \
 ../../kpathsea/c-proto.h ../../kpathsea/debug.h \
 ../../kpathsea/types.h ../../kpathsea/lib.h ../../kpathsea/progname.h \
 ../../kpathsea/c-fopen.h
uexit.o: uexit.c ../config.h ../../kpathsea/config.h ../c-auto.h \
 ../../kpathsea/c-std.h \
 ../../kpathsea/c-unistd.h ../../kpathsea/systypes.h \
 ../../kpathsea/c-memstr.h \
 ../../kpathsea/c-errno.h \
 ../../kpathsea/c-minmax.h \
 ../../kpathsea/c-limits.h \
 ../../kpathsea/c-proto.h ../../kpathsea/debug.h \
 ../../kpathsea/types.h ../../kpathsea/lib.h ../../kpathsea/progname.h \
 ../../kpathsea/c-fopen.h
usage.o: usage.c ../config.h ../../kpathsea/config.h ../c-auto.h \
 ../../kpathsea/c-std.h \
 ../../kpathsea/c-unistd.h ../../kpathsea/systypes.h \
 ../../kpathsea/c-memstr.h \
 ../../kpathsea/c-errno.h \
 ../../kpathsea/c-minmax.h \
 ../../kpathsea/c-limits.h \
 ../../kpathsea/c-proto.h ../../kpathsea/debug.h \
 ../../kpathsea/types.h ../../kpathsea/lib.h ../../kpathsea/progname.h \
 ../../kpathsea/c-fopen.h
version.o: version.c
zround.o: zround.c ../config.h ../../kpathsea/config.h ../c-auto.h \
 ../../kpathsea/c-std.h \
 ../../kpathsea/c-unistd.h ../../kpathsea/systypes.h \
 ../../kpathsea/c-memstr.h \
 ../../kpathsea/c-errno.h \
 ../../kpathsea/c-minmax.h \
 ../../kpathsea/c-limits.h \
 ../../kpathsea/c-proto.h ../../kpathsea/debug.h \
 ../../kpathsea/types.h ../../kpathsea/lib.h ../../kpathsea/progname.h \
 ../../kpathsea/c-fopen.h
